## WDS Set Autoconnect Settings

WDS Set Autoconnect Settings

## Functions

QmiMessageWdsSetAutoconnectSettingsInput * | qmi_message_wds_set_autoconnect_settings_input_new ()
QmiMessageWdsSetAutoconnectSettingsInput * | qmi_message_wds_set_autoconnect_settings_input_ref ()
void | qmi_message_wds_set_autoconnect_settings_input_unref ()
gboolean | qmi_message_wds_set_autoconnect_settings_input_get_roaming ()
gboolean | qmi_message_wds_set_autoconnect_settings_input_set_roaming ()
gboolean | qmi_message_wds_set_autoconnect_settings_input_get_status ()
gboolean | qmi_message_wds_set_autoconnect_settings_input_set_status ()
QmiMessageWdsSetAutoconnectSettingsOutput * | qmi_message_wds_set_autoconnect_settings_output_ref ()
void | qmi_message_wds_set_autoconnect_settings_output_unref ()
gboolean | qmi_message_wds_set_autoconnect_settings_output_get_result ()
void | qmi_client_wds_set_autoconnect_settings ()
QmiMessageWdsSetAutoconnectSettingsOutput * | qmi_client_wds_set_autoconnect_settings_finish ()

## Types and Values

| QmiMessageWdsSetAutoconnectSettingsInput
| QmiMessageWdsSetAutoconnectSettingsOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsSetAutoconnectSettingsInput
        ╰── QmiMessageWdsSetAutoconnectSettingsOutput

## Description

## Functions

### qmi_message_wds_set_autoconnect_settings_input_new ()

    QmiMessageWdsSetAutoconnectSettingsInput *
    qmi_message_wds_set_autoconnect_settings_input_new
                                   (void);

Allocates a new QmiMessageWdsSetAutoconnectSettingsInput.

#### Returns

the newly created QmiMessageWdsSetAutoconnectSettingsInput. The returned value should be freed with `qmi_message_wds_set_autoconnect_settings_input_unref()`.

Since: 1.14

### qmi_message_wds_set_autoconnect_settings_input_ref ()

    QmiMessageWdsSetAutoconnectSettingsInput *
    qmi_message_wds_set_autoconnect_settings_input_ref
                                   (QmiMessageWdsSetAutoconnectSettingsInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsSetAutoconnectSettingsInput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_wds_set_autoconnect_settings_input_unref ()

    void
    qmi_message_wds_set_autoconnect_settings_input_unref
                                   (QmiMessageWdsSetAutoconnectSettingsInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsSetAutoconnectSettingsInput. |

Since: 1.14

### qmi_message_wds_set_autoconnect_settings_input_get_roaming ()

    gboolean
    qmi_message_wds_set_autoconnect_settings_input_get_roaming
                                   (QmiMessageWdsSetAutoconnectSettingsInput *self,
                                    QmiWdsAutoconnectSettingRoaming *value_roaming,
                                    GError **error);

Get the 'Roaming' field from `self` .

#### Parameters

self | a QmiMessageWdsSetAutoconnectSettingsInput. |
value_roaming | a placeholder for the output QmiWdsAutoconnectSettingRoaming, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_wds_set_autoconnect_settings_input_set_roaming ()

    gboolean
    qmi_message_wds_set_autoconnect_settings_input_set_roaming
                                   (QmiMessageWdsSetAutoconnectSettingsInput *self,
                                    QmiWdsAutoconnectSettingRoaming value_roaming,
                                    GError **error);

Set the 'Roaming' field in the message.

#### Parameters

self | a QmiMessageWdsSetAutoconnectSettingsInput. |
value_roaming | a QmiWdsAutoconnectSettingRoaming. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.14

### qmi_message_wds_set_autoconnect_settings_input_get_status ()

    gboolean
    qmi_message_wds_set_autoconnect_settings_input_get_status
                                   (QmiMessageWdsSetAutoconnectSettingsInput *self,
                                    QmiWdsAutoconnectSetting *value_status,
                                    GError **error);

Get the 'Status' field from `self` .

#### Parameters

self | a QmiMessageWdsSetAutoconnectSettingsInput. |
value_status | a placeholder for the output QmiWdsAutoconnectSetting, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_wds_set_autoconnect_settings_input_set_status ()

    gboolean
    qmi_message_wds_set_autoconnect_settings_input_set_status
                                   (QmiMessageWdsSetAutoconnectSettingsInput *self,
                                    QmiWdsAutoconnectSetting value_status,
                                    GError **error);

Set the 'Status' field in the message.

#### Parameters

self | a QmiMessageWdsSetAutoconnectSettingsInput. |
value_status | a QmiWdsAutoconnectSetting. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.14

### qmi_message_wds_set_autoconnect_settings_output_ref ()

    QmiMessageWdsSetAutoconnectSettingsOutput *
    qmi_message_wds_set_autoconnect_settings_output_ref
                                   (QmiMessageWdsSetAutoconnectSettingsOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsSetAutoconnectSettingsOutput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_wds_set_autoconnect_settings_output_unref ()

    void
    qmi_message_wds_set_autoconnect_settings_output_unref
                                   (QmiMessageWdsSetAutoconnectSettingsOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsSetAutoconnectSettingsOutput. |

Since: 1.14

### qmi_message_wds_set_autoconnect_settings_output_get_result ()

    gboolean
    qmi_message_wds_set_autoconnect_settings_output_get_result
                                   (QmiMessageWdsSetAutoconnectSettingsOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsSetAutoconnectSettingsOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.14

### qmi_client_wds_set_autoconnect_settings ()

    void
    qmi_client_wds_set_autoconnect_settings
                                   (QmiClientWds *self,
                                    QmiMessageWdsSetAutoconnectSettingsInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Set Autoconnect Settings request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_set_autoconnect_settings_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsSetAutoconnectSettingsInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.14

### qmi_client_wds_set_autoconnect_settings_finish ()

    QmiMessageWdsSetAutoconnectSettingsOutput *
    qmi_client_wds_set_autoconnect_settings_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wds_set_autoconnect_settings()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_set_autoconnect_settings()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsSetAutoconnectSettingsOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_set_autoconnect_settings_output_unref()`.

Since: 1.14

## Types and Values

### QmiMessageWdsSetAutoconnectSettingsInput

    typedef struct _QmiMessageWdsSetAutoconnectSettingsInput QmiMessageWdsSetAutoconnectSettingsInput;

The QmiMessageWdsSetAutoconnectSettingsInput structure contains private data and should only be accessed using the provided API.

Since: 1.14

### QmiMessageWdsSetAutoconnectSettingsOutput

    typedef struct _QmiMessageWdsSetAutoconnectSettingsOutput QmiMessageWdsSetAutoconnectSettingsOutput;

The QmiMessageWdsSetAutoconnectSettingsOutput structure contains private data and should only be accessed using the provided API.

Since: 1.14